##### basic_socket_acceptor::listen (1 of 2 overloads)

Place the acceptor into the state where it will listen for new connections.

    void listen(
        int backlog = socket_base::max_listen_connections);

This function puts the socket acceptor into the state where it may accept new connections.

###### Parameters

backlog

  The maximum length of the queue of pending connections.

###### Exceptions

asio::system_error

  Thrown on failure.